Debian Bug report logs - #635362
linux-image-3.0.0-1-amd64: HDA intel: choppy sound on 3.0

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Colomban Wendling <lists.ban@herbesfolles.org>

Date: Mon, 25 Jul 2011 14:27:01 UTC

Severity: normal

Found in version 3.0.0-1

Fixed in version 3.0.0-2

Done: Colomban Wendling <lists.ban@herbesfolles.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, lists.ban@herbesfolles.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Mon, 25 Jul 2011 14:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
New Bug report received and forwarded. Copy sent to lists.ban@herbesfolles.org, Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Jul 2011 14:27:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: linux-image-3.0.0-1-amd64: HDA intel: choppy sound on 3.0
Date: Mon, 25 Jul 2011 16:25:23 +0200
Package: linux-2.6
Version: 3.0.0-1
Severity: normal

Using kernel 3.0.0-1 the sound is very choppy (pulse, alsa, oss), while it
is perfectly fine on 2.6.39-2 (and always was with previous versions too).

As you can see on the logs, snd-hda-intel complains about:
	hda-intel: Invalid position buffer, using LPIB read method instead.

and sometimes (not in this log, but happened a few times):
	hda-intel: IRQ timing workaround is activated for card #0. Suggest a bigger bdl_pos_adj.

This looks like a pure driver regression to me since booting on 2.6.39-2 is
enough to get proper sound (so I guess it's not an alsa bug or something).


If you need any additional info, I'd be happy to give you them.

Regards,
Colomban

-- Package-specific info:
** Version:
Linux version 3.0.0-1-amd64 (Debian 3.0.0-1) (ben@decadent.org.uk) (gcc version 4.5.3 (Debian 4.5.3-4) ) #1 SMP Sun Jul 24 02:24:44 UTC 2011

** Command line:
BOOT_IMAGE=/vmlinuz-3.0.0-1-amd64 root=/dev/mapper/hermione-debian ro quiet

** Tainted: IO (6144)
 * Working around severe firmware bug.
 * Out-of-tree module has been loaded.

** Kernel log:
[   21.589293] Console: switching to colour dummy device 80x25
[   21.592222] [drm] nouveau 0000:01:00.0: Attempting to load BIOS image from PRAMIN
[   21.639043] [drm] nouveau 0000:01:00.0: ... appears to be valid
[   21.639046] [drm] nouveau 0000:01:00.0: BIT BIOS found
[   21.639048] [drm] nouveau 0000:01:00.0: Bios version 60.84.5e.00
[   21.639050] [drm] nouveau 0000:01:00.0: TMDS table version 2.0
[   21.639052] [drm] nouveau 0000:01:00.0: Found Display Configuration Block version 4.0
[   21.639054] [drm] nouveau 0000:01:00.0: Raw DCB entry 0: 02000300 00000028
[   21.639056] [drm] nouveau 0000:01:00.0: Raw DCB entry 1: 01000302 00000030
[   21.639057] [drm] nouveau 0000:01:00.0: Raw DCB entry 2: 04011310 00000028
[   21.639059] [drm] nouveau 0000:01:00.0: Raw DCB entry 3: 02011312 00000030
[   21.639061] [drm] nouveau 0000:01:00.0: Raw DCB entry 4: 010223f1 00c0c080
[   21.639063] [drm] nouveau 0000:01:00.0: DCB connector table: VHER 0x40 5 14 2
[   21.639065] [drm] nouveau 0000:01:00.0:   0: 0x00002030: type 0x30 idx 0 tag 0x08
[   21.639067] [drm] nouveau 0000:01:00.0:   1: 0x00001130: type 0x30 idx 1 tag 0x07
[   21.639069] [drm] nouveau 0000:01:00.0:   2: 0x00000210: type 0x10 idx 2 tag 0xff
[   21.639071] [drm] nouveau 0000:01:00.0:   3: 0x00000211: type 0x11 idx 3 tag 0xff
[   21.639073] [drm] nouveau 0000:01:00.0:   4: 0x00000213: type 0x13 idx 4 tag 0xff
[   21.639076] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 0 at offset 0xC474
[   21.662021] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 1 at offset 0xC7F8
[   21.678692] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 2 at offset 0xD248
[   21.678698] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 3 at offset 0xD33A
[   21.679757] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table 4 at offset 0xD56D
[   21.679758] [drm] nouveau 0000:01:00.0: Parsing VBIOS init table at offset 0xD5D2
[   21.688052] input: ImPS/2 Logitech Wheel Mouse as /devices/platform/i8042/serio1/input/input4
[   21.699552] [drm] nouveau 0000:01:00.0: 0xD5D2: Condition still not met after 20ms, skipping following opcodes
[   21.699571] [drm] nouveau 0000:01:00.0: timingset 255 does not exist
[   21.718629] [drm] nouveau 0000:01:00.0: 1 available performance level(s)
[   21.718637] [drm] nouveau 0000:01:00.0: 0: memory 720MHz core 600MHz shader 1450MHz fanspeed 100%
[   21.718657] [drm] nouveau 0000:01:00.0: c: memory 702MHz core 540MHz shader 1188MHz voltage 1320mV
[   21.718800] [TTM] Zone  kernel: Available graphics memory: 1961702 kiB.
[   21.718804] [TTM] Initializing pool allocator.
[   21.718828] [drm] nouveau 0000:01:00.0: Detected 256MiB VRAM
[   21.718839] mtrr: type mismatch for d0000000,10000000 old: write-back new: write-combining
[   21.722625] [drm] nouveau 0000:01:00.0: 512 MiB GART (aperture)
[   21.801228] [drm] nouveau 0000:01:00.0: DCB encoder 1 unknown
[   21.801234] [drm] nouveau 0000:01:00.0: TV-1 has no encoders, removing
[   21.803060] [drm] Supports vblank timestamp caching Rev 1 (10.10.2010).
[   21.803065] [drm] No driver support for vblank timestamp query.
[   21.980189] [drm] nouveau 0000:01:00.0: allocated 1680x1050 fb: 0x40000000, bo ffff8801321a3c00
[   21.980286] fbcon: nouveaufb (fb0) is primary device
[   22.019164] Console: switching to colour frame buffer device 210x65
[   22.020586] fb0: nouveaufb frame buffer device
[   22.020588] drm: registered panic notifier
[   22.020597] [drm] Initialized nouveau 0.0.16 20090420 for 0000:01:00.0 on minor 0
[   22.366619] HDA Intel 0000:00:1b.0: PCI INT A -> GSI 22 (level, low) -> IRQ 22
[   22.366661] HDA Intel 0000:00:1b.0: irq 42 for MSI/MSI-X
[   22.366681] HDA Intel 0000:00:1b.0: setting latency timer to 64
[   22.688844] hda_codec: ALC889: BIOS auto-probing.
[   22.732916] HDMI status: Pin=4 Presence_Detect=0 ELD_Valid=0
[   22.733579] HDMI status: Pin=5 Presence_Detect=0 ELD_Valid=0
[   22.733952] HDMI status: Pin=6 Presence_Detect=0 ELD_Valid=0
[   22.737706] input: HDA Intel HDMI/DP as /devices/pci0000:00/0000:00:1b.0/sound/card0/input5
[   22.737771] input: HDA Intel HDMI/DP as /devices/pci0000:00/0000:00:1b.0/sound/card0/input6
[   22.737834] input: HDA Intel HDMI/DP as /devices/pci0000:00/0000:00:1b.0/sound/card0/input7
[   22.737903] input: HDA Intel Headphone as /devices/pci0000:00/0000:00:1b.0/sound/card0/input8
[   24.096268] EXT4-fs (dm-2): re-mounted. Opts: (null)
[   24.334450] EXT4-fs (dm-2): re-mounted. Opts: errors=remount-ro
[   40.882440] loop: module loaded
[   41.028424] coretemp coretemp.0: TjMax is 105 C.
[   41.028431] coretemp coretemp.0: TjMax is 105 C.
[   41.154871] f71882fg: Found f71889fg chip at 0xa00, revision 21
[   41.155221] f71882fg f71882fg.2560: Fan: 1 is in duty-cycle mode
[   41.155227] f71882fg f71882fg.2560: Fan: 2 is in duty-cycle mode
[   41.155232] f71882fg f71882fg.2560: Fan: 3 is in duty-cycle mode
[   41.470435] Adding 7811068k swap on /dev/mapper/hermione-swap.  Priority:-1 extents:1 across:7811068k 
[   42.656177] EXT4-fs (dm-3): mounted filesystem with ordered data mode. Opts: (null)
[   42.755842] EXT4-fs (dm-5): mounted filesystem with ordered data mode. Opts: (null)
[   42.862995] EXT4-fs (dm-6): mounted filesystem with ordered data mode. Opts: (null)
[   42.982742] EXT4-fs (dm-7): mounted filesystem with ordered data mode. Opts: (null)
[   44.023326] fuse init (API version 7.16)
[   44.889737] vboxdrv: Found 4 processor cores.
[   44.889938] vboxdrv: fAsync=0 offMin=0x23e offMax=0x1ffe
[   44.889984] vboxdrv: TSC mode is 'synchronous', kernel timer mode is 'normal'.
[   44.889986] vboxdrv: Successfully loaded version 4.0.10_Debian (interface 0x00180000).
[   47.668266] r8169 0000:02:00.0: eth0: link down
[   47.668276] r8169 0000:02:00.0: eth0: link down
[   47.668719] ADDRCONF(NETDEV_UP): eth0: link is not ready
[   49.445024] r8169 0000:02:00.0: eth0: link up
[   49.445524] ADDRCONF(NETDEV_CHANGE): eth0: link becomes ready
[   54.595860] Bluetooth: Core ver 2.16
[   54.595876] NET: Registered protocol family 31
[   54.595877] Bluetooth: HCI device and connection manager initialized
[   54.595879] Bluetooth: HCI socket layer initialized
[   54.595881] Bluetooth: L2CAP socket layer initialized
[   54.595925] Bluetooth: SCO socket layer initialized
[   54.615627] Bluetooth: RFCOMM TTY layer initialized
[   54.615637] Bluetooth: RFCOMM socket layer initialized
[   54.615642] Bluetooth: RFCOMM ver 1.11
[   55.121949] Bluetooth: BNEP (Ethernet Emulation) ver 1.3
[   55.121953] Bluetooth: BNEP filters: protocol multicast
[   56.948041] lp0: using parport0 (interrupt-driven).
[   57.106263] ppdev: user-space parallel port driver
[   60.218236] eth0: no IPv6 routers present
[   67.002831] EXT4-fs (dm-2): re-mounted. Opts: errors=remount-ro,commit=0
[   67.005079] EXT4-fs (dm-3): re-mounted. Opts: commit=0
[   67.080006] EXT4-fs (dm-5): re-mounted. Opts: commit=0
[   67.160695] EXT4-fs (dm-6): re-mounted. Opts: commit=0
[   67.202509] EXT4-fs (dm-7): re-mounted. Opts: commit=0
[   68.830828] hda-intel: Invalid position buffer, using LPIB read method instead.

** Model information
sys_vendor: MSI
product_name: MS-7636
product_version: 1.0
chassis_vendor: MSI
chassis_version: 1.0
bios_vendor: American Megatrends Inc.
bios_version: V1.1
board_vendor: MSI
board_name: H55M-E33(MS-7636)   
board_version: 1.0

** Loaded modules:
Module                  Size  Used by
cpufreq_stats          12862  0 
cpufreq_conservative    13147  0 
cpufreq_userspace      12576  0 
acpi_cpufreq           13009  1 
mperf                  12453  1 acpi_cpufreq
cpufreq_powersave      12454  0 
ppdev                  12763  0 
lp                     17270  0 
bnep                   17615  2 
rfcomm                 33848  0 
bluetooth             114376  10 bnep,rfcomm
rfkill                 19080  3 bluetooth
vboxnetadp             13202  0 
vboxnetflt             24411  0 
vboxdrv               179416  2 vboxnetadp,vboxnetflt
binfmt_misc            13040  1 
fuse                   62334  3 
ext2                   63732  1 
f71882fg               34972  0 
coretemp               12939  0 
loop                   22711  0 
snd_hda_codec_hdmi     26321  1 
snd_hda_codec_realtek   278027  1 
snd_hda_intel          26140  3 
snd_hda_codec          72699  3 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel
snd_hwdep              13186  1 snd_hda_codec
snd_pcm_oss            41257  0 
snd_mixer_oss          17969  1 snd_pcm_oss
snd_pcm                68104  4 snd_hda_codec_hdmi,snd_hda_intel,snd_hda_codec,snd_pcm_oss
snd_seq_midi           12848  0 
snd_rawmidi            23297  1 snd_seq_midi
snd_seq_midi_event     13316  1 snd_seq_midi
snd_seq                45208  2 snd_seq_midi,snd_seq_midi_event
snd_timer              22581  2 snd_pcm,snd_seq
snd_seq_device         13137  3 snd_seq_midi,snd_rawmidi,snd_seq
nouveau               512637  2 
ttm                    52979  1 nouveau
drm_kms_helper         27216  1 nouveau
snd                    52823  18 snd_hda_codec_hdmi,snd_hda_codec_realtek,snd_hda_intel,snd_hda_codec,snd_hwdep,snd_pcm_oss,snd_mixer_oss,snd_pcm,snd_rawmidi,snd_seq,snd_timer,snd_seq_device
drm                   163231  4 nouveau,ttm,drm_kms_helper
soundcore              13152  1 snd
snd_page_alloc         13043  2 snd_hda_intel,snd_pcm
i2c_algo_bit           12850  1 nouveau
mxm_wmi                12473  1 nouveau
wmi                    13243  1 mxm_wmi
evdev                  17558  7 
video                  17707  1 nouveau
processor              27942  5 acpi_cpufreq
i2c_i801               16870  0 
i2c_core               23909  5 nouveau,drm_kms_helper,drm,i2c_algo_bit,i2c_i801
thermal_sys            17949  2 video,processor
psmouse                55656  0 
button                 12930  1 nouveau
parport_pc             22395  1 
parport                31929  3 ppdev,lp,parport_pc
pcspkr                 12579  0 
serio_raw              12846  0 
ext4                  313917  5 
mbcache                13066  2 ext2,ext4
jbd2                   62574  1 ext4
crc16                  12343  2 bluetooth,ext4
sha256_generic         16797  4 
cryptd                 14549  0 
aes_x86_64             16796  32 
aes_generic            33026  1 aes_x86_64
cbc                    12755  16 
dm_crypt               22611  2 
dm_mod                 63164  24 dm_crypt
sg                     25985  0 
sd_mod                 36259  5 
sr_mod                 21811  0 
crc_t10dif             12348  1 sd_mod
cdrom                  35093  1 sr_mod
ata_generic            12479  0 
ata_piix               25358  3 
pata_jmicron           12472  0 
libata                149043  3 ata_generic,ata_piix,pata_jmicron
ehci_hcd               40090  0 
scsi_mod              162442  4 sg,sd_mod,sr_mod,libata
usbcore               124242  2 ehci_hcd
r8169                  42411  0 
mii                    12675  1 r8169

** PCI devices:
00:00.0 Host bridge [0600]: Intel Corporation Core Processor DRAM Controller [8086:0040] (rev 12)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort+ >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:01.0 PCI bridge [0604]: Intel Corporation Core Processor PCI Express x16 Root Port [8086:0041] (rev 12) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=01, subordinate=01, sec-latency=0
	I/O behind bridge: 0000c000-0000cfff
	Memory behind bridge: f8000000-fbefffff
	Prefetchable memory behind bridge: 00000000d0000000-00000000dfffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA+ MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:16.0 Communication controller [0780]: Intel Corporation 5 Series/3400 Series Chipset HECI Controller [8086:3b64] (rev 06)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 10
	Region 0: Memory at f7ffe000 (64-bit, non-prefetchable) [size=16]
	Capabilities: <access denied>

00:1a.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b3c] (rev 06) (prog-if 20 [EHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at f7ffc000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 06)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 42
	Region 0: Memory at f7ff8000 (64-bit, non-prefetchable) [size=16K]
	Capabilities: <access denied>
	Kernel driver in use: HDA Intel

00:1c.0 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 [8086:3b42] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=02, subordinate=02, sec-latency=0
	I/O behind bridge: 0000d000-0000dfff
	Memory behind bridge: fbf00000-fbffffff
	Prefetchable memory behind bridge: 00000000f6f00000-00000000f6ffffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1c.2 PCI bridge [0604]: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 3 [8086:3b46] (rev 06) (prog-if 00 [Normal decode])
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Bus: primary=00, secondary=03, subordinate=03, sec-latency=0
	I/O behind bridge: 0000e000-0000efff
	Memory behind bridge: c0000000-c01fffff
	Prefetchable memory behind bridge: 00000000c0200000-00000000c03fffff
	Secondary status: 66MHz- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>
	Kernel driver in use: pcieport

00:1d.0 USB Controller [0c03]: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller [8086:3b34] (rev 06) (prog-if 20 [EHCI])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin A routed to IRQ 23
	Region 0: Memory at f7ff6000 (32-bit, non-prefetchable) [size=1K]
	Capabilities: <access denied>
	Kernel driver in use: ehci_hcd

00:1e.0 PCI bridge [0604]: Intel Corporation 82801 PCI Bridge [8086:244e] (rev a6) (prog-if 01 [Subtractive decode])
	Control: I/O- Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR+ FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Bus: primary=00, secondary=04, subordinate=04, sec-latency=32
	Secondary status: 66MHz- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort+ <SERR- <PERR-
	BridgeCtl: Parity- SERR+ NoISA- VGA- MAbort- >Reset- FastB2B-
		PriDiscTmr- SecDiscTmr- DiscTmrStat- DiscTmrSERREn-
	Capabilities: <access denied>

00:1f.0 ISA bridge [0601]: Intel Corporation 5 Series Chipset LPC Interface Controller [8086:3b06] (rev 06)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Capabilities: <access denied>

00:1f.2 IDE interface [0101]: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA IDE Controller [8086:3b20] (rev 06) (prog-if 8f [Master SecP SecO PriP PriO])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at bc00 [size=8]
	Region 1: I/O ports at b880 [size=4]
	Region 2: I/O ports at b800 [size=8]
	Region 3: I/O ports at b480 [size=4]
	Region 4: I/O ports at b400 [size=16]
	Region 5: I/O ports at b080 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix

00:1f.3 SMBus [0c05]: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller [8086:3b30] (rev 06)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O+ Mem+ BusMaster- SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Interrupt: pin C routed to IRQ 18
	Region 0: Memory at f7ff4000 (64-bit, non-prefetchable) [size=256]
	Region 4: I/O ports at 0400 [size=32]
	Kernel driver in use: i801_smbus

00:1f.5 IDE interface [0101]: Intel Corporation 5 Series/3400 Series Chipset 2 port SATA IDE Controller [8086:3b26] (rev 06) (prog-if 85 [Master SecO PriO])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O+ Mem- BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0
	Interrupt: pin B routed to IRQ 19
	Region 0: I/O ports at ac00 [size=8]
	Region 1: I/O ports at a880 [size=4]
	Region 2: I/O ports at a800 [size=8]
	Region 3: I/O ports at a480 [size=4]
	Region 4: I/O ports at a400 [size=16]
	Region 5: I/O ports at a080 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: ata_piix

01:00.0 VGA compatible controller [0300]: nVidia Corporation G84 [GeForce 8600 GT] [10de:0402] (rev a1) (prog-if 00 [VGA controller])
	Subsystem: Giga-byte Technology Device [1458:3452]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 16
	Region 0: Memory at fa000000 (32-bit, non-prefetchable) [size=16M]
	Region 1: Memory at d0000000 (64-bit, prefetchable) [size=256M]
	Region 3: Memory at f8000000 (64-bit, non-prefetchable) [size=32M]
	Region 5: I/O ports at cc00 [size=128]
	Expansion ROM at fbee0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: nouveau

02:00.0 Ethernet controller [0200]: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller [10ec:8168] (rev 03)
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx+
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 41
	Region 0: I/O ports at d800 [size=256]
	Region 2: Memory at f6fff000 (64-bit, prefetchable) [size=4K]
	Region 4: Memory at f6ff8000 (64-bit, prefetchable) [size=16K]
	Expansion ROM at fbfe0000 [disabled] [size=128K]
	Capabilities: <access denied>
	Kernel driver in use: r8169

03:00.0 IDE interface [0101]: JMicron Technology Corp. JMB368 IDE controller [197b:2368] (prog-if 85 [Master SecO PriO])
	Subsystem: Micro-Star International Co., Ltd. Device [1462:7636]
	Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap+ 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0, Cache Line Size: 32 bytes
	Interrupt: pin A routed to IRQ 18
	Region 0: I/O ports at ec00 [size=8]
	Region 1: I/O ports at e880 [size=4]
	Region 2: I/O ports at e800 [size=8]
	Region 3: I/O ports at e480 [size=4]
	Region 4: I/O ports at e400 [size=16]
	Capabilities: <access denied>
	Kernel driver in use: pata_jmicron

ff:00.0 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers [8086:2c61] (rev 02)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:00.1 Host bridge [0600]: Intel Corporation Core Processor QuickPath Architecture System Address Decoder [8086:2d01] (rev 02)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.0 Host bridge [0600]: Intel Corporation Core Processor QPI Link 0 [8086:2d10] (rev 02)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.1 Host bridge [0600]: Intel Corporation Core Processor QPI Physical 0 [8086:2d11] (rev 02)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.2 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d12] (rev 02)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0

ff:02.3 Host bridge [0600]: Intel Corporation Core Processor Reserved [8086:2d13] (rev 02)
	Subsystem: Intel Corporation Device [8086:8086]
	Control: I/O- Mem+ BusMaster+ SpecCycle- MemWINV- VGASnoop- ParErr- Stepping- SERR- FastB2B- DisINTx-
	Status: Cap- 66MHz- UDF- FastB2B- ParErr- DEVSEL=fast >TAbort- <TAbort- <MAbort- >SERR- <PERR- INTx-
	Latency: 0


** USB devices:
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 001 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0020 Intel Corp. Integrated Rate Matching Hub


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages linux-image-3.0.0-1-amd64 depends on:
ii  debconf [debconf-2.0]         1.5.40     Debian configuration management sy
ii  initramfs-tools [linux-initra 0.99       tools for generating an initramfs
ii  linux-base                    3.3        Linux image base package
ii  module-init-tools             3.16-1     tools for managing Linux kernel mo

Versions of packages linux-image-3.0.0-1-amd64 recommends:
ii  firmware-linux-free           3          Binary firmware for various driver

Versions of packages linux-image-3.0.0-1-amd64 suggests:
ii  grub-pc                       1.99-8     GRand Unified Bootloader, version 
pn  linux-doc-3.0.0               <none>     (no description available)

Versions of packages linux-image-3.0.0-1-amd64 is related to:
pn  firmware-bnx2                 <none>     (no description available)
pn  firmware-bnx2x                <none>     (no description available)
pn  firmware-ipw2x00              <none>     (no description available)
pn  firmware-ivtv                 <none>     (no description available)
pn  firmware-iwlwifi              <none>     (no description available)
pn  firmware-linux                <none>     (no description available)
pn  firmware-linux-nonfree        <none>     (no description available)
pn  firmware-qlogic               <none>     (no description available)
pn  firmware-ralink               <none>     (no description available)
pn  xen-hypervisor                <none>     (no description available)

-- debconf information:
  linux-image-3.0.0-1-amd64/postinst/ignoring-ramdisk:
  linux-image-3.0.0-1-amd64/prerm/removing-running-kernel-3.0.0-1-amd64: true
  linux-image-3.0.0-1-amd64/postinst/depmod-error-initrd-3.0.0-1-amd64: false
  linux-image-3.0.0-1-amd64/postinst/missing-firmware-3.0.0-1-amd64:




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Mon, 25 Jul 2011 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Jul 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #10 received at 635362@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Colomban Wendling <lists.ban@herbesfolles.org>
Cc: 635362@bugs.debian.org
Subject: Re: linux-image-3.0.0-1-amd64: HDA intel: choppy sound on 3.0
Date: Mon, 25 Jul 2011 22:08:47 +0200
Hi,

Colomban Wendling wrote:

> Using kernel 3.0.0-1 the sound is very choppy (pulse, alsa, oss), while it
> is perfectly fine on 2.6.39-2 (and always was with previous versions too).
>
> As you can see on the logs, snd-hda-intel complains about:
> 	hda-intel: Invalid position buffer, using LPIB read method instead.
[...]
> 00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 06)

Thanks for reporting.  A few quick questions:

 - does it happen immediately or only sometimes?
 - could you please send the full output of "dmesg" from booting and quickly
   triggering the problem with the working and non-working versions?
 - if it's possible to test without the virtualbox modules, does that help?

Regards,
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Mon, 25 Jul 2011 23:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 25 Jul 2011 23:30:08 GMT) Full text and rfc822 format available.

Message #15 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 635362@bugs.debian.org
Subject: Re: linux-image-3.0.0-1-amd64: HDA intel: choppy sound on 3.0
Date: Tue, 26 Jul 2011 01:16:20 +0200
[Message part 1 (text/plain, inline)]
Le 25/07/2011 22:08, Jonathan Nieder a écrit :
> Hi,

Hi,

> Colomban Wendling wrote:
> 
>> Using kernel 3.0.0-1 the sound is very choppy (pulse, alsa, oss), while it
>> is perfectly fine on 2.6.39-2 (and always was with previous versions too).
>>
>> As you can see on the logs, snd-hda-intel complains about:
>> 	hda-intel: Invalid position buffer, using LPIB read method instead.
> [...]
>> 00:1b.0 Audio device [0403]: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio [8086:3b56] (rev 06)
> 
> Thanks for reporting.  A few quick questions:
> 
>  - does it happen immediately or only sometimes?

It happens immediately (e.g. even the "bell" sound of GDM3 is always
choppy) and all the time -- either using mplayer, totem, direct
gstreamer, etc.

>  - could you please send the full output of "dmesg" from booting and quickly
>    triggering the problem with the working and non-working versions?

Done (with virtualbox drivers disabled), attached dmesg outputs

>  - if it's possible to test without the virtualbox modules, does that help?

I did the test (as said above), but unfortunately it doesn't help.


Regards,
Colomban
[dmesg-2.6.39-2-amd64 (text/plain, attachment)]
[dmesg-3.0.0-1-amd64 (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Tue, 26 Jul 2011 09:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jul 2011 09:30:09 GMT) Full text and rfc822 format available.

Message #20 received at 635362@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: Colomban Wendling <lists.ban@herbesfolles.org>
Cc: 635362@bugs.debian.org
Subject: Re: linux-image-3.0.0-1-amd64: HDA intel: choppy sound on 3.0
Date: Tue, 26 Jul 2011 11:27:10 +0200
Colomban Wendling wrote:

> [    0.000000] Calgary: detecting Calgary via BIOS EBDA area
> [    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
> [    0.000000] ------------[ cut here ]------------
> [    0.000000] WARNING: at /build/buildd-linux-2.6_2.6.39-3-amd64-wlUGAK/linux-2.6-2.6.39/debian/build/source_amd64_none/drivers/pci/dmar.c:634 warn_invalid_dmar+0x77/0x85()
> [    0.000000] Hardware name: MS-7636
> [    0.000000] Your BIOS is broken; DMAR reported at address fed93000 returns all ones!
> [    0.000000] BIOS vendor: American Megatrends Inc.; Ver: V1.1; Product Version: 1.0

Unrelated BIOS bug, presumably.

> [   71.284844] hda-intel: Invalid position buffer, using LPIB read method instead.

This is from sound/pci/hda/hda_intel.c, with the condition

	if (!pos || pos == (u32)-1) {

I think maks looked at this codepath recently, for example to apply

	commit a810364a
	Author: Takashi Iwai <tiwai@suse.de>
	Date:   Tue Jun 7 12:23:23 2011 +0200

	    ALSA: hda - Handle -1 as invalid position, too

	    When reading from the position-buffer results in -1, handle as it's
	    invalid and falls back to LPIB mode as well as 0.

	    Signed-off-by: Takashi Iwai <tiwai@suse.de>

The message only appears in the bad log, so I guess pos is -1.  

There have been other changes to the driver recently, too.  If you have
time for it, could you try pristine v3.0 (which lacks that patch) or
the latest snapshot (which includes it and some other fixes on top)
from kernel.org, following the instructions from [1] and if it fails,
report the results to alsa-devel@alsa-project.org, cc-ing Takashi Iwai
and this bug?

Thanks again.
Jonathan

[1] http://kernel-handbook.alioth.debian.org/ch-common-tasks.html#s-kernel-org-package




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Tue, 26 Jul 2011 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jul 2011 21:24:04 GMT) Full text and rfc822 format available.

Message #25 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: Jonathan Nieder <jrnieder@gmail.com>
Cc: 635362@bugs.debian.org
Subject: Re: linux-image-3.0.0-1-amd64: HDA intel: choppy sound on 3.0
Date: Tue, 26 Jul 2011 23:11:46 +0200
Le 26/07/2011 11:27, Jonathan Nieder a écrit :
> Colomban Wendling wrote:
> 
>> [    0.000000] Calgary: detecting Calgary via BIOS EBDA area
>> [    0.000000] Calgary: Unable to locate Rio Grande table in EBDA - bailing!
>> [    0.000000] ------------[ cut here ]------------
>> [    0.000000] WARNING: at /build/buildd-linux-2.6_2.6.39-3-amd64-wlUGAK/linux-2.6-2.6.39/debian/build/source_amd64_none/drivers/pci/dmar.c:634 warn_invalid_dmar+0x77/0x85()
>> [    0.000000] Hardware name: MS-7636
>> [    0.000000] Your BIOS is broken; DMAR reported at address fed93000 returns all ones!
>> [    0.000000] BIOS vendor: American Megatrends Inc.; Ver: V1.1; Product Version: 1.0
> 
> Unrelated BIOS bug, presumably.

Yeah, I never investigated this but it never shown any actual
consequences -- and anyway it is in both kernel, working and not so I
guess it has no impact on this very problem.
Though, I should definitely try to fix this, that's true.

>> [   71.284844] hda-intel: Invalid position buffer, using LPIB read method instead.
> 
> This is from sound/pci/hda/hda_intel.c, with the condition
> 
> 	if (!pos || pos == (u32)-1) {
> 
> I think maks looked at this codepath recently, for example to apply
> 
> 	commit a810364a
> 	Author: Takashi Iwai <tiwai@suse.de>
> 	Date:   Tue Jun 7 12:23:23 2011 +0200
> 
> 	    ALSA: hda - Handle -1 as invalid position, too
> 
> 	    When reading from the position-buffer results in -1, handle as it's
> 	    invalid and falls back to LPIB mode as well as 0.
> 
> 	    Signed-off-by: Takashi Iwai <tiwai@suse.de>
> 
> The message only appears in the bad log, so I guess pos is -1.

I've tried to printk() the value of pos yesterday for that very reason
(I checked a bit of history of that file), and it looked like it is 0,
not -1. However, I haven't tried to revert that patch that also moves
the check.

> There have been other changes to the driver recently, too.  If you have
> time for it, could you try pristine v3.0 (which lacks that patch) or
> the latest snapshot (which includes it and some other fixes on top)
> from kernel.org, following the instructions from [1] and if it fails,
> report the results to alsa-devel@alsa-project.org, cc-ing Takashi Iwai
> and this bug?

I tried both mainline and git snapshot, and bot shown the problem.
Though, in mainline there is nothing in the logs. I'll then post to
alsa-devel as you suggested.

Regards,
Colomban




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Tue, 26 Jul 2011 21:24:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jul 2011 21:24:06 GMT) Full text and rfc822 format available.

Message #30 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: alsa-devel@alsa-project.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org, Takashi Iwai <tiwai@suse.de>
Subject: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Tue, 26 Jul 2011 23:14:47 +0200
[Message part 1 (text/plain, inline)]
Hi,

Following a bug report started in Debian BTS, in bug 635362 [1], I was
asked to post here after testing upstream kernels and reproducing the bug.

So, here's the problem: my HDA audio chip [2] started to output very
choppy sound with Linux kernel 3.0, while it worked perfectly well in
previous versions -- latest two I used being 2.6.38 and 2.6.39 from
Debian. Please note that simply booting on 2.6.39 works as usual, so
it's IMHO definitely a driver regression.

I tried Debian's 3.0 as well as mainline 3.0 and git5 snapshots, and all
3 were affected by the problem -- though the kernel log isn't exactly
the same.

I attach three dmesg outputs, always took after trying to play a sound
(and hearing it choppy, it happens every time):

dmesg-3.0.0-mainline: dmesg when running 3.0 mainline
dmesg-3.0.0-git5: when running 3.0-git5 snapshot
dmesg-3.0.0-git5-2: same as dmesg-3.0.0-git5 but configured without
CONFIG_SND_HDA_ENABLE_REALTEK_QUIRKS (doesn't change anything)

If you want to see dmesg from the 2.6.39 kernel (where sound works well)
or Debian's 3.0, see respectively [3] and [4].


Thanks by advance, and if you need any further details or testing,
please let me know.

Regards,
Colomban


[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=635362
[2] Realtek ALC889 on an MSI H55M-E33, see lspci in Debian bug [1] for
details
[3]
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=15;filename=dmesg-2.6.39-2-amd64;att=1;bug=635362
[4]
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=15;filename=dmesg-3.0.0-1-amd64;att=2;bug=635362
[dmesg-3.0.0-git5 (text/plain, attachment)]
[dmesg-3.0.0-git5-2 (text/plain, attachment)]
[dmesg-3.0.0-mainline (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Tue, 26 Jul 2011 23:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 26 Jul 2011 23:27:05 GMT) Full text and rfc822 format available.

Message #35 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: alsa-devel@alsa-project.org
Cc: Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org, Takashi Iwai <tiwai@suse.de>
Subject: Re: [alsa-devel] Bug#635362: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 01:22:40 +0200
Le 27/07/2011 00:52, Julian Sikorski a écrit :
> I am probably wrong, but did you try setting CONFIG_SND_HDA_BUFFER_SIZE
> to a larger value?

I'm afraid I can't find the setting. However, I tried to set
CONFIG_SND_HDA_PREALLOC_SIZE to 2048 as suggested in the doc since my
system is supposed to run pulseaudio [1], but anyway it hasn't changed
anything than with the default (64) value.

Regards,
Colomban


[1] even though I don't really know what this setting is supposed to
improve -- I can only guess a bigger value avoids resizing the buffer
every time if a bigger size is needed?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Wed, 27 Jul 2011 05:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 05:39:03 GMT) Full text and rfc822 format available.

Message #40 received at 635362@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Colomban Wendling <lists.ban@herbesfolles.org>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 07:37:16 +0200
At Tue, 26 Jul 2011 23:14:47 +0200,
Colomban Wendling wrote:
> 
> Hi,
> 
> Following a bug report started in Debian BTS, in bug 635362 [1], I was
> asked to post here after testing upstream kernels and reproducing the bug.
> 
> So, here's the problem: my HDA audio chip [2] started to output very
> choppy sound with Linux kernel 3.0, while it worked perfectly well in
> previous versions -- latest two I used being 2.6.38 and 2.6.39 from
> Debian. Please note that simply booting on 2.6.39 works as usual, so
> it's IMHO definitely a driver regression.

Do you have 2.6.39 kernel messages?  I see the warnings in your
dmesg below in 3.0* kernels.  Did you get it with the working kernel
as well?

> [    0.000000] ------------[ cut here ]------------
> [    0.000000] WARNING: at drivers/pci/dmar.c:634 warn_invalid_dmar+0x77/0x85()
> [    0.000000] Hardware name: MS-7636
> [    0.000000] Your BIOS is broken; DMAR reported at address fed93000 returns all ones!
> [    0.000000] BIOS vendor: American Megatrends Inc.; Ver: V1.1; Product Version: 1.0
> [    0.000000] Modules linked in:
> [    0.000000] Pid: 0, comm: swapper Not tainted 3.0.0 #4
> [    0.000000] Call Trace:
> [    0.000000]  [<ffffffff81043359>] ? warn_slowpath_common+0x78/0x8c
> [    0.000000]  [<ffffffff810433bb>] ? warn_slowpath_fmt_taint+0x3d/0x42
> [    0.000000]  [<ffffffff81318a7e>] ? __pte+0x7/0x8
> [    0.000000]  [<ffffffff816b2a2d>] ? __early_set_fixmap+0x89/0x8d
> [    0.000000]  [<ffffffff81318a7e>] ? __pte+0x7/0x8
> [    0.000000]  [<ffffffff816b2a2d>] ? __early_set_fixmap+0x89/0x8d
> [    0.000000]  [<ffffffff81318a7e>] ? __pte+0x7/0x8
> [    0.000000]  [<ffffffff811b72c9>] ? warn_invalid_dmar+0x77/0x85
> [    0.000000]  [<ffffffff816b2e3a>] ? early_iounmap+0xc5/0x114
> [    0.000000]  [<ffffffff816c6f13>] ? check_zero_address+0xb0/0xeb
> [    0.000000]  [<ffffffff81327736>] ? bad_to_user+0x620/0x620
> [    0.000000]  [<ffffffff816c6f5f>] ? detect_intel_iommu+0x11/0xa6
> [    0.000000]  [<ffffffff816a5b29>] ? pci_iommu_alloc+0x3f/0x67
> [    0.000000]  [<ffffffff816b280c>] ? mem_init+0x14/0xe5
> [    0.000000]  [<ffffffff8169f94e>] ? start_kernel+0x1d0/0x3c8
> [    0.000000]  [<ffffffff8169f140>] ? early_idt_handlers+0x140/0x140
> [    0.000000]  [<ffffffff8169f3c4>] ? x86_64_start_kernel+0x104/0x111
> [    0.000000] ---[ end trace a7919e7f17c0a725 ]---


Also, you can replace the files in sound/pci/hda/* from 2.6.39 kernel
tree.  If this fixes the problem, it's a sound driver bug.  If not,
it's anything else, e.g. the problem in more core side, e.g. IOMMU
like above or the timer change, etc.


Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Wed, 27 Jul 2011 11:32:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 11:32:11 GMT) Full text and rfc822 format available.

Message #45 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: Takashi Iwai <tiwai@suse.de>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 13:14:41 +0200
[Message part 1 (text/plain, inline)]
Le 27/07/2011 07:37, Takashi Iwai a écrit :
> Do you have 2.6.39 kernel messages?  I see the warnings in your
> dmesg below in 3.0* kernels.  Did you get it with the working kernel
> as well?

Yes, and this one appears in all logs (as said in Debian bug).
See
http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=15;filename=dmesg-2.6.39-2-amd64;att=1;bug=635362
for the full dmesg of Debian's 2.6.39.

> 
>> [...]
> 
> 
> Also, you can replace the files in sound/pci/hda/* from 2.6.39 kernel
> tree.  If this fixes the problem, it's a sound driver bug.  If not,
> it's anything else, e.g. the problem in more core side, e.g. IOMMU
> like above or the timer change, etc.

Hey, that was a great idea! I reverse-patched sound/pci/hda of 3.0 with
2.6.39.3, and it fixes the problem! :)
I attach the dmesg of that version (3.0 with 2.6.39.3's sound/pci/hda)
if it is of any use for you.


Regards,
Colomban
[dmesg-3.0.0-mainline+2.6.39.3hda (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Wed, 27 Jul 2011 11:32:16 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 11:32:20 GMT) Full text and rfc822 format available.

Message #50 received at 635362@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Colomban Wendling <lists.ban@herbesfolles.org>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 13:20:57 +0200
At Wed, 27 Jul 2011 13:14:41 +0200,
Colomban Wendling wrote:
> 
> > Also, you can replace the files in sound/pci/hda/* from 2.6.39 kernel
> > tree.  If this fixes the problem, it's a sound driver bug.  If not,
> > it's anything else, e.g. the problem in more core side, e.g. IOMMU
> > like above or the timer change, etc.
> 
> Hey, that was a great idea! I reverse-patched sound/pci/hda of 3.0 with
> 2.6.39.3, and it fixes the problem! :)

OK, then try to replace only sound/pci/hda/hda_intel.c and keep the
rest.  What happens?


Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Wed, 27 Jul 2011 12:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 12:57:04 GMT) Full text and rfc822 format available.

Message #55 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: Takashi Iwai <tiwai@suse.de>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 14:53:55 +0200
Le 27/07/2011 13:20, Takashi Iwai a écrit :
> At Wed, 27 Jul 2011 13:14:41 +0200,
> Colomban Wendling wrote:
>>
>>> Also, you can replace the files in sound/pci/hda/* from 2.6.39 kernel
>>> tree.  If this fixes the problem, it's a sound driver bug.  If not,
>>> it's anything else, e.g. the problem in more core side, e.g. IOMMU
>>> like above or the timer change, etc.
>>
>> Hey, that was a great idea! I reverse-patched sound/pci/hda of 3.0 with
>> 2.6.39.3, and it fixes the problem! :)
> 
> OK, then try to replace only sound/pci/hda/hda_intel.c and keep the
> rest.  What happens?

Doesn't work, that sound is choppy again.

Regards,
Colomban




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Wed, 27 Jul 2011 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 13:09:03 GMT) Full text and rfc822 format available.

Message #60 received at 635362@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Colomban Wendling <lists.ban@herbesfolles.org>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 15:07:19 +0200
At Wed, 27 Jul 2011 14:53:55 +0200,
Colomban Wendling wrote:
> 
> Le 27/07/2011 13:20, Takashi Iwai a écrit :
> > At Wed, 27 Jul 2011 13:14:41 +0200,
> > Colomban Wendling wrote:
> >>
> >>> Also, you can replace the files in sound/pci/hda/* from 2.6.39 kernel
> >>> tree.  If this fixes the problem, it's a sound driver bug.  If not,
> >>> it's anything else, e.g. the problem in more core side, e.g. IOMMU
> >>> like above or the timer change, etc.
> >>
> >> Hey, that was a great idea! I reverse-patched sound/pci/hda of 3.0 with
> >> 2.6.39.3, and it fixes the problem! :)
> > 
> > OK, then try to replace only sound/pci/hda/hda_intel.c and keep the
> > rest.  What happens?
> 
> Doesn't work, that sound is choppy again.

OK, then keep hda_intel.c as 3.0 and replace the rest.
If this works, please give alsa-info.sh output (run with --no-upload
option).


thanks,

Takashi




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Wed, 27 Jul 2011 14:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 14:12:05 GMT) Full text and rfc822 format available.

Message #65 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: Takashi Iwai <tiwai@suse.de>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 16:09:50 +0200
[Message part 1 (text/plain, inline)]
Le 27/07/2011 15:07, Takashi Iwai a écrit :
> At Wed, 27 Jul 2011 14:53:55 +0200,
> Colomban Wendling wrote:
>>
>> Le 27/07/2011 13:20, Takashi Iwai a écrit :
>>> At Wed, 27 Jul 2011 13:14:41 +0200,
>>> Colomban Wendling wrote:
>>>>
>>>>> Also, you can replace the files in sound/pci/hda/* from 2.6.39 kernel
>>>>> tree.  If this fixes the problem, it's a sound driver bug.  If not,
>>>>> it's anything else, e.g. the problem in more core side, e.g. IOMMU
>>>>> like above or the timer change, etc.
>>>>
>>>> Hey, that was a great idea! I reverse-patched sound/pci/hda of 3.0 with
>>>> 2.6.39.3, and it fixes the problem! :)
>>>
>>> OK, then try to replace only sound/pci/hda/hda_intel.c and keep the
>>> rest.  What happens?
>>
>> Doesn't work, that sound is choppy again.
> 
> OK, then keep hda_intel.c as 3.0 and replace the rest.
> If this works, please give alsa-info.sh output (run with --no-upload
> option).

It works! Attached is the alsa-info.sh output on this working version:
3.0 with 2.6.39.3 sound/pci/hda, but with 3.0's sound/pci/hda/hda_intel.c

Regards,
Colomban
[alsa-info-3.0-with-2.36.9.3-hda-but-3.0-hda_intel (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Wed, 27 Jul 2011 14:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 27 Jul 2011 14:54:03 GMT) Full text and rfc822 format available.

Message #70 received at 635362@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Colomban Wendling <lists.ban@herbesfolles.org>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Wed, 27 Jul 2011 16:50:20 +0200
At Wed, 27 Jul 2011 16:09:50 +0200,
Colomban Wendling wrote:
> 
> Le 27/07/2011 15:07, Takashi Iwai a écrit :
> > At Wed, 27 Jul 2011 14:53:55 +0200,
> > Colomban Wendling wrote:
> >>
> >> Le 27/07/2011 13:20, Takashi Iwai a écrit :
> >>> At Wed, 27 Jul 2011 13:14:41 +0200,
> >>> Colomban Wendling wrote:
> >>>>
> >>>>> Also, you can replace the files in sound/pci/hda/* from 2.6.39 kernel
> >>>>> tree.  If this fixes the problem, it's a sound driver bug.  If not,
> >>>>> it's anything else, e.g. the problem in more core side, e.g. IOMMU
> >>>>> like above or the timer change, etc.
> >>>>
> >>>> Hey, that was a great idea! I reverse-patched sound/pci/hda of 3.0 with
> >>>> 2.6.39.3, and it fixes the problem! :)
> >>>
> >>> OK, then try to replace only sound/pci/hda/hda_intel.c and keep the
> >>> rest.  What happens?
> >>
> >> Doesn't work, that sound is choppy again.
> > 
> > OK, then keep hda_intel.c as 3.0 and replace the rest.
> > If this works, please give alsa-info.sh output (run with --no-upload
> > option).
> 
> It works! Attached is the alsa-info.sh output on this working version:
> 3.0 with 2.6.39.3 sound/pci/hda, but with 3.0's sound/pci/hda/hda_intel.c

Thanks.  Could you try the patch below against 3.0 tree?


Takashi

---
From: Takashi Iwai <tiwai@suse.de>
Subject: [PATCH] ALSA: hda - Fix duplicated DAC assignments for Realtek

Copying hp_pins and speaker_pins from line_out_pins may confuse the
parser, and it can lead to duplicated initializations for the same pin
with a wrong DAC assignment.  The problem appears in 3.0 kernel code.

Signed-off-by: Takashi Iwai <tiwai@suse.de>
---
 sound/pci/hda/patch_realtek.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index 0383dd8..e125c60 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -895,13 +895,15 @@ static void alc_init_auto_hp(struct hda_codec *codec)
 	if (present == 3)
 		spec->automute_hp_lo = 1; /* both HP and LO automute */
 
-	if (!cfg->speaker_pins[0]) {
+	if (!cfg->speaker_pins[0] &&
+	    cfg->line_out_type == AUTO_PIN_SPEAKER_OUT) {
 		memcpy(cfg->speaker_pins, cfg->line_out_pins,
 		       sizeof(cfg->speaker_pins));
 		cfg->speaker_outs = cfg->line_outs;
 	}
 
-	if (!cfg->hp_pins[0]) {
+	if (!cfg->hp_pins[0] &&
+	    cfg->line_out_type == AUTO_PIN_HP_OUT) {
 		memcpy(cfg->hp_pins, cfg->line_out_pins,
 		       sizeof(cfg->hp_pins));
 		cfg->hp_outs = cfg->line_outs;
@@ -920,6 +922,7 @@ static void alc_init_auto_hp(struct hda_codec *codec)
 		spec->automute_mode = ALC_AUTOMUTE_PIN;
 	}
 	if (spec->automute && cfg->line_out_pins[0] &&
+	    cfg->speaker_pins[0] &&
 	    cfg->line_out_pins[0] != cfg->hp_pins[0] &&
 	    cfg->line_out_pins[0] != cfg->speaker_pins[0]) {
 		for (i = 0; i < cfg->line_outs; i++) {
-- 
1.7.6





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Thu, 28 Jul 2011 13:06:14 GMT) Full text and rfc822 format available.

Acknowledgement sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Jul 2011 13:06:19 GMT) Full text and rfc822 format available.

Message #75 received at 635362@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: Takashi Iwai <tiwai@suse.de>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Thu, 28 Jul 2011 15:03:43 +0200
Le 27/07/2011 16:50, Takashi Iwai a écrit :
> [...]
> 
> Thanks.  Could you try the patch below against 3.0 tree?
> 
> [...]

It works just fine, now waiting forward Debian to patch their tree :)
Thanks a lot for all the good work!

Regards,
Colomban




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#635362; Package linux-2.6. (Thu, 28 Jul 2011 13:06:46 GMT) Full text and rfc822 format available.

Acknowledgement sent to Takashi Iwai <tiwai@suse.de>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 28 Jul 2011 13:06:56 GMT) Full text and rfc822 format available.

Message #80 received at 635362@bugs.debian.org (full text, mbox):

From: Takashi Iwai <tiwai@suse.de>
To: Colomban Wendling <lists.ban@herbesfolles.org>
Cc: alsa-devel@alsa-project.org, Jonathan Nieder <jrnieder@gmail.com>, 635362@bugs.debian.org
Subject: Re: Realtek ALC889: HDA Intel and kernel 3.0 gives choppy sound
Date: Thu, 28 Jul 2011 15:04:35 +0200
At Thu, 28 Jul 2011 15:03:43 +0200,
Colomban Wendling wrote:
> 
> Le 27/07/2011 16:50, Takashi Iwai a écrit :
> > [...]
> > 
> > Thanks.  Could you try the patch below against 3.0 tree?
> > 
> > [...]
> 
> It works just fine, now waiting forward Debian to patch their tree :)
> Thanks a lot for all the good work!

Good to hear.  The patch was tagged to stable-kernel, so it'll be
likely included in 3.0.1 kernel.


thanks,

Takashi




Bug Marked as fixed in versions 3.0.0-2. Request was from Colomban Wendling <lists.ban@herbesfolles.org> to control@bugs.debian.org. (Thu, 18 Aug 2011 12:48:36 GMT) Full text and rfc822 format available.

Reply sent to Colomban Wendling <lists.ban@herbesfolles.org>:
You have taken responsibility. (Thu, 18 Aug 2011 12:48:41 GMT) Full text and rfc822 format available.

Notification sent to Colomban Wendling <lists.ban@herbesfolles.org>:
Bug acknowledged by developer. (Thu, 18 Aug 2011 12:48:45 GMT) Full text and rfc822 format available.

Message #87 received at 635362-done@bugs.debian.org (full text, mbox):

From: Colomban Wendling <lists.ban@herbesfolles.org>
To: control@bugs.debian.org, 635362-done@bugs.debian.org
Subject: Re: linux-image-3.0.0-1-amd64: HDA intel: choppy sound on 3.0
Date: Thu, 18 Aug 2011 14:45:26 +0200
fixed 635362 3.0.0-2
thanks

The 3.0.0-2 upload included upstream 3.0.1 that fixed the bug, and it
now works actually fine on my machine.

Thanks!




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:37:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 06:56:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.